// use crate::{Loader, LoaderCache};
use coremem_post::{Loader, LoaderCache};
use std::path::PathBuf;
use structopt::StructOpt;

#[derive(Debug, StructOpt)]
struct Opt {
    directory: PathBuf,
}

fn main() {
    let opt = Opt::from_args();
    let loader = Loader::new(opt.directory);
    let mut cache = LoaderCache::new(loader, 2, 2);
    
    let mut frame = cache.load_first();
    for meas in frame.measurements() {
        for key in meas.key_value(&**frame).keys() {
            print!("\"{}\",", key);
        }
    }
    println!("");

    loop {
        for meas in frame.measurements() {
            for value in meas.key_value(&**frame).values() {
                print!("\"{}\",", value);
            }
        }
        println!("");

        let next_frame = cache.load_rel(&*frame, 1);
        if frame.path() == next_frame.path() {
            break;
        }
        frame = next_frame;

    }
}
