use crate::compound::peano::{Peano, PeanoNonZero};

mod flat;
// mod linked;
// mod tuple_consumer;
// pub use tuple_consumer::*;
// pub use linked::*;
pub use flat::IntoList;
pub use flat::exports::*;

pub trait Indexable<P: Peano> {
    type Element;
    fn get(&self) -> Self::Element where Self::Element: Copy;
    fn get_ref(&self) -> &Self::Element;
    fn get_mut(&mut self) -> &mut Self::Element;
    fn set(&mut self, v: Self::Element);
}

pub type ElementAt<P, L> = <L as Indexable<P>>::Element;

pub trait Meta {
    type Length: PeanoNonZero;
}
